#pragma once

#include <GR/GRTypes.h>

#include <Interface/IAnimationManager.h>

#include <list>

#include "PacTypes.h"
#include "TiledMover.h"



class XRenderer;
class PlayState;

class Spawn : public Unit
{

  public:

    Pac::eUnitTypes     m_SpawnUnit;



    Spawn();

    virtual void              ProcessEvent( PlayState& State, const eUnitEvent& Event );

};


